Skip to main content
GET
/
v2
/
configuration
/
numberRanges
Get Number Ranges
curl --request GET \
  --url https://api.jtl-cloud.com/erp/v2/configuration/numberRanges \
  --header 'Authorization: Bearer <token>' \
  --header 'x-api-key: <api-key>' \
  --header 'x-appid: <x-appid>' \
  --header 'x-appversion: <x-appversion>' \
  --header 'x-tenant-id: <x-tenant-id>'
[
  {
    "identifier": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "description": "<string>",
    "prefix": "<string>",
    "currentNumber": 123,
    "suffix": "<string>",
    "maxLength": 123,
    "companyId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
    "exampleNumber": "<string>",
    "isDeletable": true
  }
]

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

x-api-key
string
header
required

Optional: If no token is present, the API Gateway injects it.

Headers

x-appid
string
required

This is the name of your application, e.g. "MyApp/1.0.0". It is used to identify your application.

x-appversion
string
required

This is where the version number of your application is entered, e.g. "1.0.0".

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

X-SessionId
string<uuid>

The id of a session in which the call will be executed.

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Response

The available Number Ranges

identifier
string<uuid>

The Unique Identifier of a Sync

name
string

The Name of the Number Range

description
string

The Name of the Number Range

prefix
string

The Number Prefix for the NumberRange

currentNumber
integer<int32>

The Current Number of the NumberRange

suffix
string

The Number Suffix for the NumberRange

maxLength
integer<int32>

The Max Length of an Number Range

companyId
string<uuid>

The internal ID of the company associated with the customer. This is configured in the company and email settings in JTL-Wawi

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

exampleNumber
string

The Example of a Number

isDeletable
boolean

Can the Number Range be deleted